org.springframework.transaction.interceptor

## Interface TransactionAttributeSource

- All Known Implementing Classes:
    AbstractFallbackTransactionAttributeSource, AnnotationTransactionAttributeSource, CompositeTransactionAttributeSource, MatchAlwaysTransactionAttributeSource, MethodMapTransactionAttributeSource, NameMatchTransactionAttributeSource

      public interface TransactionAttributeSource

  Strategy interface used by `TransactionInterceptor` for metadata retrieval.

  Implementations know how to source transaction attributes, whether from configuration, metadata attributes at source level (such as Java 5 annotations), or anywhere else.

  Since:
    15.04.2003
  Author:
    Rod Johnson
  See Also:
    `TransactionAspectSupport.setTransactionAttributeSource(org.springframework.transaction.interceptor.TransactionAttributeSource)`, `TransactionProxyFactoryBean.setTransactionAttributeSource(org.springframework.transaction.interceptor.TransactionAttributeSource)`, `AnnotationTransactionAttributeSource`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransactionAttribute` | `getTransactionAttribute(Method method, Class<?> targetClass)` Return the transaction attribute for the given method, or `null` if the method is non-transactional.

- - ### Method Detail

    - #### getTransactionAttribute

          TransactionAttribute getTransactionAttribute(Method method,
                                                     Class<?> targetClass)

      Return the transaction attribute for the given method, or `null` if the method is non-transactional.
      Parameters:
        `method` - the method to introspect
        `targetClass` - the target class. May be `null`, in which case the declaring class of the method must be used.
      Returns:
        TransactionAttribute the matching transaction attribute, or `null` if none found